Skip to main content
GET
/
api
/
v1
/
workspace
/
{id}
/
api-key
Retrieve API keys for a workspace
curl --request GET \
  --url https://prod.oneloop.ai/api/v1/workspace/{id}/api-key \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://prod.oneloop.ai/api/v1/workspace/{id}/api-key"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod.oneloop.ai/api/v1/workspace/{id}/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "apiKeys": [
    {
      "id": "<string>",
      "name": "<string>",
      "maskedKey": "<string>",
      "prefix": "<string>",
      "expiresAt": 1,
      "scopes": [
        {
          "representation": "<string>",
          "create": true,
          "read": true,
          "update": true,
          "del": true,
          "id": "<string>"
        }
      ],
      "enabled": true,
      "customerId": "<string>",
      "deleted": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "lastUsedAt": "<string>",
      "billingId": "<string>"
    }
  ]
}
{
"error": {
"code": 1,
"message": "<string>"
}
}
{
"error": {
"code": 1,
"message": "<string>"
}
}
{
"error": {
"code": 1,
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The workspace id.

Response

The API keys

apiKeys
object[]
required